#!/bin/sh
#
# Configures git for user root:
#   - sets user.name to root
#   - sets user.email to root@<hostname>.<domainname>

set -e

GIT_CONFIG_NAME="git config --global user.name"
GIT_CONFIG_MAIL="git config --global user.email"

HOST="$(hostname)"
DOMAIN="$(dnsdomainname)"

USER="root"
EMAIL="${USER}@${HOST}.${DOMAIN}"

if ! $(${GIT_CONFIG_NAME} > /dev/null)
then
	echo "Setting root's git user name to ${USER}."
	${GIT_CONFIG_NAME} "${USER}"
fi

if ! $(${GIT_CONFIG_MAIL} > /dev/null)
then
	echo "Setting root's git email to ${EMAIL}."
	${GIT_CONFIG_MAIL} "${EMAIL}"
fi
